Bug 157296 - AssertionError at org.netbeans.modules.db.mysql.impl.MySQLDatabaseServer$4.execute
AssertionError at org.netbeans.modules.db.mysql.impl.MySQLDatabaseServer$4.ex...
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: MySQL
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 11:09 UTC by giorgio42
Modified: 2009-09-18 22:36 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (515 bytes, text/plain)
2009-01-22 11:09 UTC, giorgio42
Details
stacktrace (515 bytes, text/plain)
2009-03-31 17:16 UTC, giorgio42
Details
stacktrace (515 bytes, text/plain)
2009-04-07 14:20 UTC, giorgio42
Details

Note You need to log in before you can comment on or make changes to this bug.
Description giorgio42 2009-01-22 11:09:24 UTC
Build: NetBeans IDE Dev (Build 090119)
VM: Java HotSpot(TM) Server VM, 11.0-b16, Java(TM) SE Runtime Environment, 1.6.0_11-b03
OS: Windows XP, 5.1, x86

User Comments:
giorgio42: Expanded the Databases node in the Services tab.

giorgio42: Expanded the Databases node in the Services tab.



Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.db.mysql.impl.MySQLDatabaseServer$4.execute(MySQLDatabaseServer.java:515)
        at org.netbeans.modules.db.mysql.impl.MySQLDatabaseServer$DatabaseCommand.run(MySQLDatabaseServer.java:964)
        at org.netbeans.modules.db.mysql.impl.ConnectionProcessor.run(ConnectionProcessor.java:146)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)
Comment 1 giorgio42 2009-01-22 11:09:31 UTC
Created attachment 76131 [details]
stacktrace
Comment 2 Jiri Rechtacek 2009-02-10 15:39:28 UTC
Reassigned to new owner.
Comment 3 giorgio42 2009-03-31 17:16:48 UTC
Build: NetBeans IDE Dev (Build 090330)
VM: Java HotSpot(TM) Client VM, 11.0-b16, Java(TM) SE Runtime Environment, 1.6.0_11-b03
OS: Windows XP, 5.1, x86

User Comments: 
Started NB 6.7 daily 090330 with a clean userdir (running against JDK 1.6.0_12) and chose to import settings from 6.5.


Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.db.mysql.impl.MySQLDatabaseServer$4.execute(MySQLDatabaseServer.java:515)
        at org.netbeans.modules.db.mysql.impl.MySQLDatabaseServer$DatabaseCommand.run(MySQLDatabaseServer.java:964)
        at org.netbeans.modules.db.mysql.impl.ConnectionProcessor.run(ConnectionProcessor.java:146)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)
Comment 4 giorgio42 2009-03-31 17:16:52 UTC
Created attachment 79161 [details]
stacktrace
Comment 5 giorgio42 2009-04-07 14:20:12 UTC
Build: NetBeans IDE Dev (Build 200904011705)
VM: Java HotSpot(TM) Client VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Windows XP, 5.1, x86

User Comments: 
Finished editing a sql script, selected a (not yet connected) connection to an Oracle database, but did not execute the script;
instead went to the Services window and expanded the Database node -> Exception.

Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.db.mysql.impl.MySQLDatabaseServer$4.execute(MySQLDatabaseServer.java:515)
        at org.netbeans.modules.db.mysql.impl.MySQLDatabaseServer$DatabaseCommand.run(MySQLDatabaseServer.java:964)
        at org.netbeans.modules.db.mysql.impl.ConnectionProcessor.run(ConnectionProcessor.java:146)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)
Comment 6 giorgio42 2009-04-07 14:20:25 UTC
Created attachment 79634 [details]
stacktrace
Comment 7 Jiri Rechtacek 2009-07-01 07:44:25 UTC
NB6.7 was released already - http://www.netbeans.org/community/releases/67/
Postpone fixing this issue on the next release.
Comment 8 Exceptions Reporter 2009-09-16 21:12:03 UTC
This issue already has 20 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=141812
Comment 9 Jiri Rechtacek 2009-09-17 11:01:17 UTC
core-main/rev/58615811aa84
Comment 10 Quality Engineering 2009-09-18 22:36:10 UTC
Integrated into 'main-golden', will be available in build *200909181401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/58615811aa84
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #157296: AssertionError at org.netbeans.modules.db.mysql.impl.MySQLDatabaseServer$4.execute


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo